﻿using Bible.Contracts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Bible.Core
{
    public struct Book : IBook
    {
        private string _id;
        private ITranslation _translation;
        private IElementCollection<IChapter> _chapters;

        public Book(ITranslation translation, string id)
        {
            _id = string.Format("{0}-{1}", translation.Id, id);
            _translation = translation;
            _chapters = new ElementCollection<IChapter>();
        }

        public string Id { get { return _id; } }

        public IElementCollection<IChapter> Chapters { get { return _chapters; } }

        public IElement Ancestor { get { return _translation; } }

        public IElementCollection Descendants { get { return _chapters; } }
    }
}
