﻿using Bible.Contracts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Bible.Core
{
    public struct Chapter : IChapter
    {
        private string _id;
        private IBook _book;
        private IElementCollection<IVerse> _verses;
        
        public Chapter(IBook book, string id)
        {
            _id = string.Format("{0} {1}", book.Id, id);
            _book = book;
            _verses = new ElementCollection<IVerse>();
        }
        public IElementCollection<IVerse> Verses { get { return _verses; } }

        public string Id { get { return _id; } }

        public IElement Ancestor { get { return _book; } }

        public IElementCollection Descendants { get { return _verses; } }
    }
}
