﻿using Bible.Contracts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Bible.Core
{
    public class ElementCollection<T>
        : IElementCollection<T> where T: IElement
    {
        IList<T> collection;

        public ElementCollection()
        {
            collection = new List<T>();
        }

        public void Add(T element)
        {
            collection.Add(element);
        }

        public void Remove(T element)
        {
            collection.Remove(element);
        }

        public T this[int index]
        {
            get { return collection[index]; }
        }

        public int Count { get { return collection.Count; } }
    }
}
