﻿using Bible.Contracts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Bible.Core
{
    public struct Translation : ITranslation
    {
        private string _id;
        private IElementCollection<IBook> _books;

        public Translation(string id)
        {
            _id = id;
            _books = new ElementCollection<IBook>();
        }

        public IElementCollection<IBook> Books { get { return _books; } }

        public string Id { get { return _id; } }

        public IElement Ancestor { get { return null; } }

        public IElementCollection Descendants { get { return _books; } }
    }
}
