﻿using Bible.Contracts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Bible.Core
{
    public struct Verse : IVerse
    {
        private string _id;
        private string _text;
        private IElement _chapter;

        public Verse(IChapter chapter, string id, string text)
        {
            _id = string.Format("{0}:{1}", chapter.Id, id);
            _chapter = chapter;
            _text = text;
        }

        public string Id { get { return _id; } }

        public string Text { get { return _text; } }

        public IElement Ancestor { get { return _chapter; } }

        public IElementCollection Descendants { get { return null; } }
    }
}
