﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Bible.Data.Web.Css
{
    public class CssGroup
    {
        private string _target;
        private IEnumerable<CssSetter> _setters;

        public CssGroup()
        {

        }

        public CssGroup(string target, params CssSetter[] setters)
        {
            _target = target;
            _setters = setters;
        }

        public override string ToString()
        {
            StringBuilder builder = new StringBuilder();

            builder.Append(string.Format("{0} {{\n", _target));
            foreach (var setter in _setters)
            {
                builder.Append(setter.ToString());
            }
            builder.Append("}\n");

            return builder.ToString();
        }
    }
}
