﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Bible.Data.Web.Html
{
    public class HtmlBodyElement : HtmlElement
    {
        #region Fields
        private IList<IHtmlBodyElementDescendant> _descendants;
        #endregion

        #region Properties
        public IList<IHtmlBodyElementDescendant> Descendants
        { get { return _descendants; } }
        #endregion

        #region Constructors
        public HtmlBodyElement()
            : base("body")
        {
            _descendants = new List<IHtmlBodyElementDescendant>();
        }
        #endregion

        #region Methods
        public void Add(IHtmlBodyElementDescendant htmlElement)
        {
            _descendants.Add(htmlElement);
        }

        public override string ToString()
        {
            StringBuilder builder = new StringBuilder();

            builder.Append(string.Format("<{0}>\n", _tag));
            foreach (var descendant in _descendants)
            {
                builder.Append(descendant.ToString());
            }
            builder.Append(string.Format("</{0}>\n", _tag));
            return builder.ToString();
        }
        #endregion
    }
}
