﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Bible.Data.Web.Html
{
    public class HtmlDocument : HtmlElement
    {
        private HtmlHeadElement _head;
        private HtmlBodyElement _body;
        private string _doctype;

        public HtmlDocument()
            : base("html")
        {
            _head = new HtmlHeadElement();
            _body = new HtmlBodyElement();
            _doctype = "html";
        }

        public HtmlHeadElement Head { get { return _head; } }
        public HtmlBodyElement Body { get { return _body; } }

        public override string ToString()
        {
            StringBuilder builder = new StringBuilder();

            builder.Append(string.Format("<!DOCTYPE {0}>\n", _doctype));
            builder.Append(string.Format("<{0}>\n", _tag));
            builder.Append(_head.ToString());
            builder.Append(_body.ToString());
            builder.Append(string.Format("</{0}>\n", _tag));

            return builder.ToString();
        }
    }
}
