﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Bible.Data.Web.Html
{
    public class HtmlHeadElement : HtmlElement
    {
        private IList<IHtmlHeadElementDescendant> _descendants;

        public HtmlHeadElement()
            : base ("head")
        {
            _descendants = new List<IHtmlHeadElementDescendant>();
        }

        public IList<IHtmlHeadElementDescendant> Descendants { get { return _descendants; } }

        public override string ToString()
        {
            StringBuilder builder = new StringBuilder();

            builder.Append(string.Format("<{0}>\n", _tag));
            foreach (var descendant in _descendants)
            {
                builder.Append(descendant.ToString());
            }
            builder.Append(string.Format("</{0}>\n", _tag));

            return builder.ToString();
        }
    }
}
