﻿using System;
using StoryQ;
using NUnit.Framework;

namespace Bible.UI.StoryQ.UserStories
{
    [TestFixture]
    public class SearchBibleStory
    {
        [Test]
        public void SearchBible()
        {
            new Story("Search Bible")
                .InOrderTo("find Scripture")
                .AsA("n user")
                .IWant("to see the results of a search")

                        .WithScenario("Search for a valid reference")
                            .Given(IHaveEnteredAScriptureReference)
                                .And(TheScriptureReferenceIsValid)
                            .When(IHaveFinishedEditingTheSearchText)
                            .Then(TheSearchResultsShouldBeDisplayed)

                        .WithScenario("Search for an invalid reference")
                            .Given(IHaveEnteredAScriptureReference)
                                .And(TheScriptureReferenceIsInvalid)
                            .When(IHaveFinishedEditingTheSearchText)
                            .Then(NoSearchResultShouldBeDisplayed)
                                .And(AlternativeSearchTermsShouldBeDisplayed)
                .Execute();
        }

        private void IHaveEnteredAScriptureReference()
        {
            throw new NotImplementedException();
        }

        private void TheScriptureReferenceIsValid()
        {
            throw new NotImplementedException();
        }

        private void IHaveFinishedEditingTheSearchText()
        {
            throw new NotImplementedException();
        }

        private void TheSearchResultsShouldBeDisplayed()
        {
            throw new NotImplementedException();
        }

        private void TheScriptureReferenceIsInvalid()
        {
            throw new NotImplementedException();
        }

        private void NoSearchResultShouldBeDisplayed()
        {
            throw new NotImplementedException();
        }

        private void AlternativeSearchTermsShouldBeDisplayed()
        {
            throw new NotImplementedException();
        }
    }
}
