﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using Bible.Contracts;

namespace Bible.Core.Tests.Book_Tests
{
    [TestFixture]
    public abstract class When_a_Book_is_constructed
    {
        protected IBook book;

        [TestFixtureSetUp]
        public virtual void SetUp()
        {

        }
    }

    [TestFixture]
    public class When_a_Book_is_constructed_with_no_parameters : When_a_Book_is_constructed
    {
        [TestFixtureSetUp]
        public override void SetUp()
        {
            base.SetUp();
            book = new Book();
        }

        [TestCase]
        public void Then_it_should_not_be_null()
        {
            Assert.IsNotNull(book);
        }

        [TestCase]
        public void Then_it_should_have_null_Chapters_property()
        {
            Assert.IsNull(book.Chapters);
        }
    }

    [TestFixture]
    public class When_a_Book_is_constructed_with_parameters : When_a_Book_is_constructed
    {
        [TestFixtureSetUp]
        public override void SetUp()
        {
            base.SetUp();
            book = new Book(new Translation("NET"), "GEN");
        }

        [TestCase]
        public void Then_it_should_not_be_null()
        {
            Assert.IsNotNull(book);
        }

        [TestCase]
        public void Then_it_should_have_correct_Id_property()
        {
            Assert.That(book.Id, Is.EqualTo("NET-GEN"));
        }

        [TestCase]
        public void Then_it_should_have_non_null_Chapters_property()
        {
            Assert.IsNotNull(book.Chapters);
        }
    }
}
