﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using Bible.Data.Web.Css;

namespace Bible.Data.UnitTests.Web_Tests.Css_Tests.CssGroup_Tests
{
    [TestFixture]
    public abstract class When_constructing_a_CssGroup
    {
        protected CssGroup group;
    }

    [TestFixture]
    public class When_constructing_a_CssGroup_with_target_and_1_property
        : When_constructing_a_CssGroup
    {
        [TestFixtureSetUp]
        public void SetUp()
        {
            CssSetter property = new CssSetter("background", "#000000");
            group = new CssGroup("body", property);
        }

        [Test]
        public void It_should_return_correct_string_with_ToString()
        {
            string expected = "body {\n" +
                "background: #000000;\n" +
                "}\n";

            Assert.That(group.ToString(), Is.EqualTo(expected));
        }
    }

    [TestFixture]
    public class When_constructing_a_CssGroup_with_target_and_2_properties
        : When_constructing_a_CssGroup
    {
        [TestFixtureSetUp]
        public void SetUp()
        {
            CssSetter property1 = new CssSetter("background", "#000000");
            CssSetter property2 = new CssSetter("color", "#FFFFFF");
            group = new CssGroup("body", property1, property2);
        }

        [Test]
        public void It_should_return_correct_string_with_ToString()
        {
            string expected = "body {\n" +
                "background: #000000;\n" +
                "color: #FFFFFF;\n" +
                "}\n";

            Assert.That(group.ToString(), Is.EqualTo(expected));
        }
    }
}
