﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using Bible.Data.Web.Css;

namespace Bible.Data.UnitTests.Web_Tests.Css_Tests.CssProperty_Tests
{
    [TestFixture]
    public abstract class When_constructing_a_CssSetter
    {
        protected CssSetter property;
    }

    [TestFixture]
    public class When_constructing_a_CssSetter_with_parameters : When_constructing_a_CssSetter
    {
        [TestFixtureSetUp]
        public void Setup()
        {
            property = new CssSetter("background", "#000000");
        }

        [Test, TestCaseSource("PropertyCases")]
        public void It_should_return_correct_string_with_ToString(string key, string value, string expected)
        {
            property = new CssSetter(key, value);
            Assert.That(property.ToString(), Is.EqualTo(expected));
        }

        static object[] PropertyCases =
        {
            new object[] { "background", "#000000", "background: #000000;\n" },
            new object[] { "color", "#FFFFFF", "color: #FFFFFF;\n" },
            new object[] { "font-size", "9pt", "font-size: 9pt;\n" }
        };

    }
}
