﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using Bible.Data.Web.Html;

namespace Bible.Data.UnitTests.Web_Tests.Html_Tests.HtmlBodyElement_Tests
{
    [TestFixture]
    public abstract class When_adding_an_element_to_HtmlBodyElement
    {
        protected HtmlBodyElement bodyElement;

        [TestFixtureSetUp]
        public virtual void SetUp()
        {
            bodyElement = new HtmlBodyElement();
        }
    }

    [TestFixture]
    public class When_adding_a_HtmlH1Element_to_HtmlBodyElement
        : When_adding_an_element_to_HtmlBodyElement
    {
        [TestFixtureSetUp]
        public override void SetUp()
        {
            base.SetUp();
            bodyElement.Descendants.Add(new HtmlH1Element("God is Awesome!"));
        }

        [Test]
        public void It_should_return_correct_Count()
        {
            Assert.That(bodyElement.Descendants.Count, Is.EqualTo(1));
        }

        [Test]
        public void It_should_return_correct_string_with_ToString()
        {
            string expected = "<body>\n" +
                "<h1>God is Awesome!</h1>\n" +
                "</body>\n";

            Assert.That(bodyElement.ToString(), Is.EqualTo(expected));
        }
    }
}
