﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Bible.Data.Web.Html;
using NUnit.Framework;

namespace Bible.Data.UnitTests.Web_Tests.Html_Tests.HtmlDocument_Tests
{
    [TestFixture]
    public abstract class When_constructing_a_HtmlDocument
    {
        protected HtmlDocument document;
    }

    [TestFixture]
    public class When_constructing_a_HtmlDocument_without_parameters
        : When_constructing_a_HtmlDocument
    {
        [TestFixtureSetUp]
        public void SetUp()
        {
            document = new HtmlDocument();
        }

        [Test]
        public void It_should_have_a_non_null_Head_property()
        {
            Assert.That(document.Head, Is.Not.Null);
        }

        [Test]
        public void It_should_have_a_non_null_Body_property()
        {
            Assert.That(document.Body, Is.Not.Null);
        }

        [Test]
        public void It_should_return_correct_string_with_ToString()
        {
            string expected = "<!DOCTYPE html>\n" +
                "<html>\n" +
                "<head>\n" +
                "</head>\n" +
                "<body>\n" +
                "</body>\n" +
                "</html>\n";

            Assert.That(document.ToString(), Is.EqualTo(expected));
        }
    }
}
