﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using Bible.Data.Web.Html;

namespace Bible.Data.UnitTests.Web_Tests.Html_Tests.HtmlElement_Tests
{
    [TestFixture]
    public abstract class When_constructing_a_HtmlElement
    {
        protected HtmlElement element;
    }

    [TestFixture]
    public class When_constructing_a_HtmlElement_with_name_property
        : When_constructing_a_HtmlElement
    {
        [Test, TestCaseSource("ElementCases")]
        public void It_should_return_correct_string_with_ToString(string name, string expected)
        {
            element = new HtmlElement(name);
            Assert.That(element.ToString(), Is.EqualTo(expected));
        }

        static object[] ElementCases =
        {
            new object[] { "head", "<head>\n</head>\n" },
            new object[] { "body", "<body>\n</body>\n" },
            new object[] { "div", "<div>\n</div>\n" }
        };
    }
}
