﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using Bible.Data.Web.Html;

namespace Bible.Data.UnitTests.Web_Tests.Html_Tests.HtmlMetaElement_Tests
{
    [TestFixture]
    public abstract class When_constructing_a_HtmlMetaElement
    {
        protected HtmlMetaElement metaElement;
    }

    [TestFixture]
    public class When_constructing_a_HtmlMetaElement_with_parameters
        : When_constructing_a_HtmlMetaElement
    {
        [TestFixtureSetUp]
        public void SetUp()
        {
            metaElement = new HtmlMetaElement("viewport",
                "width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0");
        }

        [Test]
        public void It_should_return_correct_string_with_ToString()
        {
            string expected = "<meta name=\"viewport\" " +
                "content=\"width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0\" />\n";

            Assert.That(metaElement.ToString(), Is.EqualTo(expected));
        }
    }
}
