﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using Bible.Data.Web.Html;
using Bible.Data.Web.Css;

namespace Bible.Data.UnitTests.Web_Tests.Html_Tests.HtmlStyleElement_Tests
{
    [TestFixture]
    public abstract class When_constructing_a_HtmlStyleElement
    {
        protected HtmlStyleElement styleElement;
    }

    [TestFixture]
    public class When_constructing_a_HtmlStyleElement_with_CssGroup_parameter
        : When_constructing_a_HtmlStyleElement
    {
        protected CssGroup cssGroup;

        [TestFixtureSetUp]
        public void SetUp()
        {
            cssGroup = new CssGroup("body",
                new CssSetter("background", "#000000"),
                new CssSetter("color", "#FFFFFF"));
            styleElement = new HtmlStyleElement(cssGroup);
        }

        [Test]
        public void It_should_return_correct_string_with_ToString()
        {
            string expected = "<style>\n" +
                "body {\n" +
                "background: #000000;\n" +
                "color: #FFFFFF;\n" +
                "}\n" +
                "</style>\n";

            Assert.That(styleElement.ToString(), Is.EqualTo(expected));
        }
    }
}
