﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Bible.Data.Web.Html;
using Bible.Data.Web.Css;

namespace Bible.UI.Helpers
{
    public class WebBrowserHelper
    {
        private readonly WebBrowser _browser;
        //private string content;

        public WebBrowserHelper(WebBrowser browser)
        {
            _browser = browser;
        }

        public void LoadDummyData()
        {
            if (_browser != null)
            {
                HtmlDocument document = new HtmlDocument();

                document.Head.Descendants.Add(
                    new HtmlMetaElement(
                        "viewport",
                        "width=device-width, user-scalable=no"));
                document.Head.Descendants.Add(
                    new HtmlStyleElement(
                        new CssGroup(
                            "body",
                            new CssSetter("background", GetResourceColor("PhoneBackgroundColor")),
                            new CssSetter("color", GetResourceColor("PhoneForegroundColor")),
                            new CssSetter("-ms-text-size-adjust", "150%")
                        )
                    )
                );
                document.Body.Descendants.Add(new HtmlH1Element("God is Awesome!"));

                _browser.NavigateToString(document.ToString());
            }

        }

        private static string GetResourceColor(string sourceResource)
        {
            var color = (Color)Application.Current.Resources[sourceResource];
            return "#" + color.ToString().Substring(3, 6);
        }
    }
}